Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.util

# Class Images.GraphiteFilter

java.lang.Object
java.awt.image.ImageFilter
java.awt.image.RGBImageFilter
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.util.Images.GraphiteFilter

All Implemented Interfaces:
  `ImageConsumer`, `Cloneable`

Enclosing class:
  `Images`

public static class Images.GraphiteFilter extends RGBImageFilter
Based on a code example from: http://tams-www.informatik.uni-hamburg.de/applets/hades/webdemos/00-intro/02-imageprocessing/saturation.html

## Field Summary

### Fields inherited from class java.awt.image.RGBImageFilter

`canFilterIndexColorModel, newmodel, origmodel`

### Fields inherited from class java.awt.image.ImageFilter

`consumer`

### Fields inherited from interface java.awt.image.ImageConsumer

`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

## Constructor Summary

Constructors
Constructor
Description
`GraphiteFilter()`

## Method Summary

Modifier and Type
Method
Description
`int`
`filterRGB(int x, int y, int rgb)`

### Methods inherited from class java.awt.image.RGBImageFilter

`filterIndexColorModel, filterRGBPixels, setColorModel, setPixels, setPixels, substituteColorModel`

### Methods inherited from class java.awt.image.ImageFilter

`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setDimensions, setHints, setProperties`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GraphiteFilter

public GraphiteFilter()

## Method Details

### filterRGB

public int filterRGB(int x, int y, int rgb)

Specified by:
  `filterRGB` in class `RGBImageFilter`